
%define name	lavennin
%define version	20041119
%define rel	7
%define release	%mkrel %rel

Summary:	Converts written Finnish text to a readable form
Name:		%name
Version:	%version
Release:	%release
License:	LGPLv2
Group:		Sound/Editors and Converters
URL:		http://phon.joensuu.fi/suopuhe/
Source:		http://www.ling.helsinki.fi/suopuhe/download/%name-%version.tar.bz2
Patch0:		lavennin-paths.patch
BuildArch:	noarch
# per locale-specific package policy:
Requires:	locales-fi

%description
Lavennin converts numbers, abbreviations and other such non-readable
strings found in usual written Finnish text to a readable form.
Therefore only the grafem-fonem conversion is left for the speech
synthesizer. Lavennin can also be used to nativisate
foreign-originated words.

%prep
%setup -q -n %name
%patch0 -p1

sed -i 's,@LAVENNINDATADIR@,\"%{_datadir}/%{name}\",' bin/lavennin

%install

install -d -m755 %{buildroot}%{_bindir}
install -m755 bin/lavennin %{buildroot}%{_bindir}

install -d -m755 %{buildroot}%{_datadir}/%{name}
install -m644 data/*.txt %{buildroot}%{_datadir}/%{name}

%files
%doc man/*.shtml
%{_bindir}/lavennin
%{_datadir}/%{name}




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 20041119-7.mga3
+ Revision: 356673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 barjac <barjac> 20041119-6.mga3
+ Revision: 343078
- update group

* Sun Jan 16 2011 anssi <anssi> 20041119-5.mga1
+ Revision: 20218
- generalize comment
- imported package lavennin

